## netsurf 2.7

=== Makefile ===
TMP_PREFIX = $(CURDIR)/prefix
export PKG_CONFIG_PATH = $(TMP_PREFIX)/lib/pkgconfig
export TARGET=gtk

.PHONY: build install clean sources

build: $(TMP_PREFIX)/build-stamp

$(TMP_PREFIX)/build-stamp:
	mkdir -p $(TMP_PREFIX)/include
	mkdir -p $(TMP_PREFIX)/lib
	make install --directory=libparserutils-0.1.0 TARGET=$(TARGET) PREFIX=$(TMP_PREFIX) DESTDIR=
	make install --directory=libwapcaplet-0.1.0 TARGET=$(TARGET) PREFIX=$(TMP_PREFIX) DESTDIR=
	make install --directory=libcss-0.1.0 TARGET=$(TARGET) PREFIX=$(TMP_PREFIX) DESTDIR=
	make install --directory=hubbub-0.1.0 TARGET=$(TARGET) PREFIX=$(TMP_PREFIX) DESTDIR=
	make install --directory=libnsbmp-0.0.3 TARGET=$(TARGET) PREFIX=$(TMP_PREFIX) DESTDIR=
	make install --directory=libnsgif-0.0.3 TARGET=$(TARGET) PREFIX=$(TMP_PREFIX) DESTDIR=
	make --directory=netsurf-2.7 TARGET=$(TARGET)
	touch $@

install: $(TMP_PREFIX)/build-stamp
	make install --directory=netsurf-2.7 TARGET=$(TARGET) PREFIX=$(PREFIX) DESTDIR=$(DESTDIR)

clean:
	rm -rf $(TMP_PREFIX)
	make distclean --directory=libparserutils-0.1.0 TARGET=$(TARGET)
	make distclean --directory=libwapcaplet-0.1.0 TARGET=$(TARGET)
	make distclean --directory=libcss-0.1.0 TARGET=$(TARGET)
	make distclean --directory=hubbub-0.1.0 TARGET=$(TARGET)
	make distclean --directory=libnsbmp-0.0.3 TARGET=$(TARGET)
	make distclean --directory=libnsgif-0.0.3 TARGET=$(TARGET)
	make clean --directory=netsurf-2.7 TARGET=$(TARGET)

sources:
	svn export svn://svn.netsurf-browser.org/tags/libparserutils/0.1.0 libparserutils-0.1.0
	svn export svn://svn.netsurf-browser.org/tags/libwapcaplet/0.1.0 libwapcaplet-0.1.0
	svn export svn://svn.netsurf-browser.org/tags/libcss/0.1.0 libcss-0.1.0
	svn export svn://svn.netsurf-browser.org/tags/hubbub/0.1.0 hubbub-0.1.0
	svn export svn://svn.netsurf-browser.org/tags/libnsbmp/0.0.3 libnsbmp-0.0.3
	svn export svn://svn.netsurf-browser.org/tags/libnsgif/0.0.3 libnsgif-0.0.3
	svn export svn://svn.netsurf-browser.org/tags/netsurf/2.7 netsurf-2.7
