=== libcss-0.1.0/src/select/Makefile ===
# Sources
DIR_SOURCES := computed.c dispatch.c hash.c select.c

include build/makefiles/Makefile.subdir
