=== debian/control ===
Source: netsurf
Section: web
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Vincent Sanders <vince@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libglade2-dev, libcurl3-dev, libxml2-dev, libpng-dev, librsvg2-dev, liblcms1-dev, libjpeg-dev, imagemagick
Standards-Version: 3.9.1
Homepage: http://www.netsurf-browser.org
Vcs-Browser: http://source.netsurf-browser.org/

Package: netsurf
Architecture: all
Depends: ${misc:Depends}, netsurf-gtk
Provides: www-browser
Description: Small web browser with CSS - Transition package
 NetSurf is a multi-platform lightweight web browser. Its aim is to provide
 comprehensive rendering of HTML 5 with CSS 2 in a small resource footprint 
 while remaining fast. 
 .
 This package assists in the transition to the netsurf-gtk package

Package: netsurf-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: www-browser
Recommends: mime-support
Description: Small web browser with CSS support
 NetSurf is a multi-platform lightweight web browser. It aims to provide
 comprehensive rendering of HTML 5 with CSS 2  in a small resource footprint
 without compromising performance.
